Summary:	Graphic library for file loading, saving, rendering, and manipulation
Name:		imlib2
Version:	1.2.0
Release:	7.fc3
License:	BSD
Group:		System Environment/Libraries
URL:		http://www.enlightenment.org/pages/imlib2.html
Source0:	http://download.sf.net/enlightenment/%{name}-%{version}.tar.gz
Patch0:		imlib2-1.2.0-configure-xlib64.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel libjpeg-devel libpng-devel libtiff-devel
BuildRequires:	libungif-devel freetype-devel libtool bzip2-devel %{__perl}

%package devel
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	XFree86-devel freetype-devel pkgconfig


%description
Imlib 2 is the successor to Imlib. It is NOT a newer version -- it is
a completely new library. Imlib 2 can be installed alongside Imlib 1.x
without any problems since they are effectively different libraries
which have very similar functionality. Please see the homepage for the
long description of the differences.

%description devel
This package contains development files for %{name}.

Imlib 2 is the successor to Imlib. It is NOT a newer version -- it is
a completely new library. Imlib 2 can be installed alongside Imlib 1.x
without any problems since they are effectively different libraries
which have very similar functionality. Please see the homepage for the
long description of the differences.


%prep
%setup -q
%ifarch x86_64
%patch0 -b .patch0
%endif
# loaders need to link with the main lib
%{__perl} -pi -e \
  's|^(\w+_la_LDFLAGS .*)|$1 -L\$(top_builddir)/src/lib| ;
   s|^(\w+_la_LIBADD .*)|$1 -lImlib2|' src/modules/loaders/Makefile.*


%build
%configure \
  --x-libraries=%{_prefix}/X11R6/%{_lib} \
  --with-pic \
%ifarch %{ix86} ia64
  --enable-mmx
%else
  --disable-mmx
%endif
%ifarch x86_64
# fix hardcoded rpath im Makefiles on x86_64 due to freetype-config --libs
# returning "-L/usr/lib64 -Wl,--rpath -Wl,/usr/lib64 -lfreetype -lz":
%{__perl} -pi.orig -e 's|-Wl,--rpath -Wl,/usr/lib64||g;' \
  Makefile */Makefile */*/Makefile imlib2-config
%endif

make %{?_smp_mflags} LIBTOOL=/usr/bin/libtool


%install
rm -rf $RPM_BUILD_ROOT __doc
make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool

cp -a doc __doc
rm -f __doc/Makefile*

# remove unexpanded variable in pkgconfig file
sed -i -e 's!@requirements@!!g' ${RPM_BUILD_ROOT}%{_libdir}/pkgconfig/imlib2.pc

rm -f \
  $RPM_BUILD_ROOT%{_libdir}/imlib2/{loaders,filters}/*.a \
  $RPM_BUILD_ROOT%{_bindir}/{color_spaces,imlib2,*test}

# ship .la files due to a bug in kdelibs (see changelog):
#  $RPM_BUILD_ROOT%{_libdir}/libImlib2.la \


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README ChangeLog TODO __doc/*
%{_bindir}/imlib2_view
%{_bindir}/imlib2_bumpmap
%{_bindir}/imlib2_colorspace
%{_bindir}/imlib2_conv
%{_bindir}/imlib2_poly
%{_bindir}/imlib2_show
%{_libdir}/libImlib2.so.*
%dir %{_datadir}/imlib2/
%{_datadir}/imlib2/data/
%dir %{_libdir}/imlib2/
%dir %{_libdir}/imlib2/filters/
%{_libdir}/imlib2/filters/*.so
%{_libdir}/imlib2/filters/*.la
%dir %{_libdir}/imlib2/loaders/
%{_libdir}/imlib2/loaders/*.so
%{_libdir}/imlib2/loaders/*.la

%files devel
%defattr(-,root,root,-)
%{_bindir}/imlib2-config
%{_includedir}/Imlib2.h
%{_libdir}/libImlib2.a
%{_libdir}/libImlib2.la
%{_libdir}/libImlib2.so
%{_libdir}/pkgconfig/imlib2.pc


%changelog
* Tue Apr  5 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.0-7.fc3
- Fix broken pkgconfig file.

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2.0-6
- Include imlib2 directory in datadir and libdir.

* Wed Feb  9 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2.0-5
- Link loaders with the main lib, fixes load/save problems with some apps.

* Tue Jan 18 2005 Michael Schwendt <mschwendt[AT[users.sf.net> - 0:1.2.0-4
- Really include libtool archives to fix fedora.us bug #2284.

* Fri Jan 14 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.2.0-3
- Move filters and loaders back into main package where they belong

* Mon Jan 10 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.2.0-2
- Don't ship *.?.a in {_libdir}/imlib/filters/ and loaders/

* Sun Jan 09 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.2.0-1
- Ship .la files ue to a bug in kdelibs; see
  https://bugzilla.fedora.us/show_bug.cgi?id=2284
  http://bugzilla.redhat.com/bugzilla/142244
  http://bugs.kde.org/93359
- Use make param LIBTOOL=/usr/bin/libtool - fixes hardcoded rpath on x86_64
- fix hardcoded rpath im Makefiles on x86_64 due to freetype-config --libs
  returning "-L/usr/lib64 -Wl,--rpath -Wl,/usr/lib64 -lfreetype -lz"
- Update to 1.2.0 -- fixes several security issues
- remove explicit libdir=_libdir - 1.2.9 does not need it anymore
- removeddemo compile/install;
- use configure param --x-libraries={_prefix}/X11R6/{_lib} and patch to fix
  "cannot find -lX11"

* Thu Dec 30 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0:1.1.2-2
- Disable mmx on x86_64 (fixes Build error)
- Add explicit libdir=_libdir to make calls to avoid install errors on x86_64
- Add --with-pic configure option (taken from Matthias Saou's package)

* Sat Sep 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.1.2-0.fdr.1
- Update to 1.1.2, fixes CAN-2004-0802.
- Enable MMX on all ix86, x86_64 and ia64, it seems runtime-detected.
- Update URL.

* Tue Nov 18 2003 Dams <anvil[AT]livna.org> 0:1.0.6-0.fdr.3
- s#_prefix/lib#_libdir#

* Tue Nov 18 2003 Dams <anvil[AT]livna.org> 0:1.0.6-0.fdr.2
- Moved some binaries and loaders into main package
- Added missing Requires and BuildRequires

* Sun Oct 26 2003 Dams <anvil[AT]livna.org>
- Initial build.
